BundleDelegatingClassLoader (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.blueprint

## Class BundleDelegatingClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.cxf.bus.blueprint.BundleDelegatingClassLoader

-     public class BundleDelegatingClassLoader
      extends ClassLoader

  A ClassLoader delegating to a given OSGi bundle.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BundleDelegatingClassLoader​(org.osgi.framework.Bundle bundle)` |
    `BundleDelegatingClassLoader​(org.osgi.framework.Bundle bundle, ClassLoader classLoader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class<?>` | `findClass​(String name)` |
    `protected URL` | `findResource​(String name)` |
    `protected Enumeration<URL>` | `findResources​(String name)` |
    `org.osgi.framework.Bundle` | `getBundle()` |
    `protected Class<?>` | `loadClass​(String name, boolean resolve)` |

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BundleDelegatingClassLoader

          public BundleDelegatingClassLoader​(org.osgi.framework.Bundle bundle)

    - #### BundleDelegatingClassLoader

          public BundleDelegatingClassLoader​(org.osgi.framework.Bundle bundle,
                                             ClassLoader classLoader)

  - ### Method Detail

    - #### findClass

          protected Class<?> findClass​(String name)
                                throws ClassNotFoundException

      Overrides:
        `findClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### findResource

          protected URL findResource​(String name)

      Overrides:
        `findResource` in class `ClassLoader`

    - #### findResources

          protected Enumeration<URL> findResources​(String name)
                                            throws IOException

      Overrides:
        `findResources` in class `ClassLoader`
      Throws:
        `IOException`

    - #### loadClass

          protected Class<?> loadClass​(String name,
                                       boolean resolve)
                                throws ClassNotFoundException

      Overrides:
        `loadClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### getBundle

          public org.osgi.framework.Bundle getBundle()